Providers
Register a static provider credential
POST /v1/credentials · SDK createProviderCredential · CLI deployments credential create
POST
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
credential?|displayName*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120metadata?providerKey*stringMatch
^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$requestedResource?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 2048ProviderConnectionResponse
application/json- response
authMethod*stringcreatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedisplayName*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120externalAccountId?stringexternalAccountName?stringhasCredential*booleanid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$lastVerifiedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeproviderApplicationId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$providerKey*stringMatch
^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$refreshAfter?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timescopes*array<string>status*stringupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= valuecurl -X POST "https://example.com/v1/credentials" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "providerKey": "string" }'{ "authMethod": "string", "createdAt": "2019-08-24T14:15:22Z", "displayName": "string", "externalAccountId": "string", "externalAccountName": "string", "hasCredential": true, "id": "string", "lastVerifiedAt": "2019-08-24T14:15:22Z", "providerApplicationId": "string", "providerKey": "string", "refreshAfter": "2019-08-24T14:15:22Z", "scopes": [ "string" ], "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": 0}